import { Conversation, ITokeniser } from '../../main';
import { Task } from './Task';
export default class ConversationTask extends Task {
    private rawConvo;
    private shuffledIndices;
    private index;
    get length(): number;
    constructor(conversations: Conversation[][]);
    hasMoreConversations(): boolean;
    nextConversation(): Conversation[] | null;
    nextTokens(tokeniser: ITokeniser): number[] | null;
    shuffle(): void;
    estimateTokens(tokeniser: ITokeniser): Promise<number>;
}
